# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "cogl-rs"
version = "0.1.3"
authors = ["Victor Dudochkin <dudochkin.victor@gmail.com>"]
description = "Rust bindings for the Cogl library"
homepage = "https://angular-rust.github.io/cogl-rs"
documentation = "https://docs.rs/cogl-rs"
readme = "README.md"
keywords = ["cogl", "gtk", "gtk-rs", "gnome", "gui"]
categories = ["multimedia", "gui"]
license = "MPL-2.0"
repository = "https://github.com/angular-rust/cogl-rs"
[package.metadata.docs.rs]
features = ["dox"]

[lib]
name = "cogl"
[dependencies.bitflags]
version = "1.0"

[dependencies.ffi]
version = "0.1.3"
package = "cogl-sys-rs"

[dependencies.glib]
version = "0.10"

[dependencies.glib-sys]
version = "0.10"

[dependencies.gobject-sys]
version = "0.10"

[dependencies.libc]
version = "0.2"
[dev-dependencies.gir-format-check]
version = "^0.1"

[features]
dox = ["ffi/dox", "glib/dox", "glib-sys/dox", "gobject-sys/dox"]
